--[[
-- Car passenger
-- MISI MOD for GTA2
--
-- Author: DenLover
-- Date: 30 mar 2018
-- Mod version: v0.2
-- MISI since version: v0.3.2b
-- Description: Mod allows player to sit on a passenger seat in a car is down key "G".
-- Bug: If you are trying to throw out of the car when you are in the passenger seat of the game crashes.
]]--

-- Don't require from directory scripts it need load from special folder modules or other folder
local STAGEC = require("modules.STAGEC")

local gamestate = 0
local ped = 0
local car_pool = {}
local x, y, z = 0

while(GetGameFrame() == 0) do end

if (GetSCRName() ~= "data/STAGEC.SCR" ) then
    SetSCRName("data/STAGEC.SCR")
end

while(true) do
	if (GetGameFrame() > 0) then
		if (gamestate == 0) then -- If start new game
			wait(100)
			for i = 1, 6, 1 do
				ped = GetPedStruct(i)
				x, y, z = GetPedPos(ped)
				if (GetPedRangeOfPoint(ped, x, y, z) <= 0.5) then
					 --WriteInLog(string.format("ped index %d id %d struct %X\n",i,GetPedID(ped),ped))
					 break
				end
			end
			gamestate = 1
		end
		if (ped ~= 0) then		
			if (IsKeyDown(0x47)) then
				x, y, z = GetPedPos(ped)
				car_pool = GetCarFromPoint(x, y, z, 2)
				for i,car in ipairs(car_pool) do
					if (car ~= 0) then
						--WriteInLog(string.format("car index %d id %d struct %X\n",i,GetCarID(car),car))
						SetPedCurrentCarDoorID(ped, 1)
						STAGEC.SetPedObjective(ped, car, 0, 0, 0, 100, 2)
						break
					end
				end
			end					
		end
	else
		gamestate = 0 -- If not frame to game restart or game not loaded
	end
end